vigra - Polygon< POINT > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Polygon< POINT > Class Template Reference Geometry |

`#include <vigra/polygon.hxx>`

Inheritance diagram for Polygon< POINT >:

## Public Member Functions
double | arcLengthQuantile (double quantile) const
bool | closed () const
| Returns true iff the last and first points are equal or the polygon is empty.
bool | contains (const_reference point, coordinate_type tolerance) const
Point | interpolate (unsigned int index, double offset) const

## Additional Inherited Members
Protected Types inherited from ArrayVectorView< POINT >
typedef POINT | value_type
Protected Member Functions inherited from ArrayVectorView< POINT >
| ArrayVectorView ()
| ArrayVectorView (size_type size, pointer const &data)
| ArrayVectorView (this_type const &rhs)
reference | back ()
const_reference | back () const
const_iterator | begin () const
iterator | begin ()
const_iterator | cbegin () const
const_iterator | cend () const
void | copy (this_type const &rhs)
void | copy (ArrayVectorView< U > const &rhs)
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const
const_pointer | data () const
pointer | data ()
bool | empty () const
const_iterator | end () const
iterator | end ()
reference | front ()
const_reference | front () const
void | init (U const &initial)
bool | isInside (difference_type const &p) const
bool | operator!= (ArrayVectorView< U > const &rhs) const
ArrayVectorView & | operator= (ArrayVectorView const &rhs)
this_type & | operator= (ArrayVectorView< U > const &rhs)
bool | operator== (ArrayVectorView< U > const &rhs) const
reference | operator[] (difference_type i)
const_reference | operator[] (difference_type i) const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
size_type | size () const
this_type | subarray (size_type begin, size_type end) const
void | swapData (this_type rhs)
void | swapData (ArrayVectorView< U > rhs)

## Detailed Description

### template<class POINT = TinyVector<double, 2>>
class vigra::Polygon< POINT >

Polygons in two and higher dimenions.

The documentation for this class was generated from the following file:

- vigra/polygon.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Thu Jan 8 2015)